DefInt A-Z

Function DecodeError (errcode As Integer) As String
Select Case errcode
    Case 3
	DecodeError = "Return without GoSub"
    Case 5
	DecodeError = "Illegal function call"
    Case 6
	DecodeError = "Overflow"
    Case 7
	DecodeError = "Out of memory"
    Case 9
	DecodeError = "Subscript out of range"
    Case 10
	DecodeError = "Duplicate definition"
    Case 11
	DecodeError = "Division by zero"
    Case 13
	DecodeError = "Type mismatch"
    Case 14
	DecodeError = "Out of string space"
    Case 16
	DecodeError = "String formula too complex"
    Case 17
	DecodeError = "Can't continue"
    Case 19
	DecodeError = "No Resume"
    Case 20
	DecodeError = "Resume without error"
    Case 28
	DecodeError = "Out of stack space"
    Case 35
	DecodeError = "Sub or Function not defined"
    Case 48
	DecodeError = "Error in loading DLL"
    Case 51
	DecodeError = "Internal error"
    Case 52
	DecodeError = "Bad file name or number"
    Case 53
	DecodeError = "File Not found"
    Case 54
	DecodeError = "Bad file mode"
    Case 55
	DecodeError = "File already open"
    Case 57
	DecodeError = "Device I/O error"
    Case 58
	DecodeError = "File already exists"
    Case 59
	DecodeError = "Bad record length"
    Case 61
	DecodeError = "Disk full"
    Case 62
	DecodeError = "Input past end of file"
    Case 63
	DecodeError = "Bad record number"
    Case 64
	DecodeError = "Bad file name"
    Case 67
	DecodeError = "Too many files"
    Case 68
	DecodeError = "Device unavailable"
    Case 70
	DecodeError = "Permission denied"
    Case 71
	DecodeError = "Disk Not ready"
    Case 74
	DecodeError = "Can't rename with different drive"
    Case 75
	DecodeError = "Path/File access error"
    Case 76
	DecodeError = "Path Not found"
    Case 260
	DecodeError = "No timer available"
    Case 280
	DecodeError = "DDE channel not fully closed; awaiting response from foreign application"
    Case 281
	DecodeError = "No More DDE channels"
    Case 282
	DecodeError = "No foreign application responded to a DDE initiate"
    Case 283
	DecodeError = "Multiple applications responded to a DDE initiate"
    Case 284
	DecodeError = "DDE channel locked"
    Case 285
	DecodeError = "Foreign application won't perform DDE method or operator"
    Case 286
	DecodeError = "Timeout while waiting for DDE response"
    Case 287
	DecodeError = "User pressed Alt Key during DDE operation"
    Case 288
	DecodeError = "Destination is busy"
    Case 289
	DecodeError = "Data not provided in DDE operation"
    Case 290
	DecodeError = "Data in wrong format"
    Case 291
	DecodeError = "Foreign application quit"
    Case 292
	DecodeError = "DDE conversation closed or changed"
    Case 293
	DecodeError = "DDE method invoked with no channel open"
    Case 294
	DecodeError = "Invalid DDE Link format"
    Case 295
	DecodeError = "Message queue filled; DDE message lost"
    Case 296
	DecodeError = "PasteLink already performed on this control"
    Case 297
	DecodeError = "Can't set LinkMode; Invalid LinkTopic"
    Case 320
	DecodeError = "Can't use character device names in filenames: 'item'"
    Case 321
	DecodeError = "Invalid file format"
    Case 340
	DecodeError = "Control array element 'item' does not exist"
    Case 341
	DecodeError = "Invalid object array index"
    Case 342
	DecodeError = "Not enough room to allocate control array 'item'"
    Case 343
	DecodeError = "Object not an array"
    Case 344
	DecodeError = "Must specify index for object array"
    Case 345
	DecodeError = "Reached limit:  cannot create any more controls for this form"
    Case 360
	DecodeError = "Object already loaded"
    Case 361
	DecodeError = "Can't load or unload this object"
    Case 362
	DecodeError = "Can't unload controls created at design time"
    Case 363
	DecodeError = "Custom control 'item' not found"
    Case 364
	DecodeError = "Object was unloaded"
    Case 365
	DecodeError = "Unable to unload within this context"
    Case 380
	DecodeError = "Invalid property value"
    Case 381
	DecodeError = "Invalid property array index"
    Case 382
	DecodeError = "'item' property can't be set at run time"
    Case 383
	DecodeError = "'item' property is read-only"
    Case 384
	DecodeError = "'item' property can't be modified when form is minimized or maximized"
    Case 385
	DecodeError = "Must specify index when using property array"
    Case 386
	DecodeError = "'item' property not available at run time"
    Case 387
	DecodeError = "'item' property can't be set on this control"
    Case 388
	DecodeError = "Can't set Visible property from a parent menu"
    Case 400
	DecodeError = "Form already displayed; can't show form modally"
    Case 401
	DecodeError = "Can't show non-modal form when a modal form is being displayed"
    Case 402
	DecodeError = "Must close or hide topmost modal form first"
    Case 420
	DecodeError = "Invalid object reference"
    Case 421
	DecodeError = "Method not applicable for this object"
    Case 422
	DecodeError = "Property 'item' not found"
    Case 423
	DecodeError = "Property or control 'item' not found"
    Case 424
	DecodeError = "Object required"
    Case 425
	DecodeError = "Invalid object use"
    Case 430
	DecodeError = "No currently active control"
    Case 431
	DecodeError = "No currently active form"
    Case 460
	DecodeError = "Invalid Clipboard format"
    Case 461
	DecodeError = "Specified format does not match format of data"
    Case 480
	DecodeError = "Can't create AutoRedraw image"
    Case 481
	DecodeError = "Invalid picture"
    Case 482
	DecodeError = "Printer error"
    Case 520
	DecodeError = "Can't empty Clipboard"
    Case 521
	DecodeError = "Can't open Clipboard"
    Case Else
	DecodeError = "Not defined"
End Select
End Function

